<?php

namespace Drupal\reviews\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Review entities.
 *
 * @ingroup reviews
 */
interface ReviewEntityInterface extends ContentEntityInterface, EntityChangedInterface, EntityPublishedInterface, EntityOwnerInterface {

  /**
   * Add get/set methods for your configuration properties here.
   */

  /**
   * Gets the review Title.
   *
   * @return string
   *   Title of the review.
   */
  public function getTitle();

  /**
   * Sets the review Title.
   *
   * @param string $title
   *   The review Title.
   *
   * @return \Drupal\reviews\Entity\ReviewEntityInterface
   *   The called review entity Title.
   */
  public function setTitle($title);

  /**
   * Gets the Review creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Review.
   */
  public function getCreatedTime();

  /**
   * Sets the Review creation timestamp.
   *
   * @param int $timestamp
   *   The Review creation timestamp.
   *
   * @return \Drupal\reviews\Entity\ReviewEntityInterface
   *   The called Review entity.
   */
  public function setCreatedTime($timestamp);

}
